Orient Duplicated 3D View To Section Automation Problem

Hi,

I’ve fairly new to python and I’ve been trying to write a code that’ll automatically take all sections and create 3D views oriented to each. And I want to do this using python.
It successfully created 3D views and renames them to the sections, but the section boxes of the new 3d views are all missed up. One 3D view’s section box is cut horizontally!! Not very section-like :\

bool = IN[0]
orthoNew = []
orthoMain = []
orthoNewElement = []
#Collect all elements
collector = FilteredElementCollector(doc)
#Filter For Views
filter = ElementCategoryFilter(BuiltInCategory.OST_Views)
views = collector.WherePasses(filter).ToElements()

#Standard Toggle
if bool:

#Filter For main 3d
	for ortho in views:
		if ortho.Title == '3D View: {3D}':
			orthoMain = ortho
#Filter For Sections
	for view in views:
		if view.ViewType.ToString() == 'Section':
#Get the bounding box of the section ? 
			sectionbounding = view.get_BoundingBox(view)
#Duplicate 3d view per section
			TransactionManager.Instance.EnsureInTransaction(doc)
			
			orthoNew = orthoMain.Duplicate(0)
#Need View as Element
			orthoNewElement = doc.GetElement(orthoNew)
#Set Sectionbox to match the retrieved one from above
			orthoNewElement.SetSectionBox(sectionbounding)
#Set 3d View name to mathc Section Name from above
			out.append(orthoNewElement.get_Parameter(BuiltInParameter.VIEW_NAME).Set(view.get_Parameter(BuiltInParameter.VIEW_NAME).AsString()))
			
			TransactionManager.Instance.TransactionTaskDone()
	
	


	
	
else:
		out.append('Get Me Started !!')


OUT = out

I’ve added comments so clear the code a bit.